#ifndef LIBSARIA_SOURCE_H
#define LIBSARIA_SOURCE_H

#include <libsaria/track.h>

namespace libsaria
{

	class SourceModel
	{
		public:
			SourceModel();
			virtual ~SourceModel() = 0;

			virtual void insert(Track &) = 0;
	};
}

#endif /* LIBSARIA_SOURCE_H */
